* {
	margin: 0px;
	padding: 0px;
	font: 14px "Helvetica", "Helvetica-Bold", "Helvet";
}

body {
	overflow: hidden;
}

.contenido .dataTables_wrapper {
	margin-left: 0;
}

input {
	font-size: 10pt;
	padding-left: 2px;
	padding-right: 2px;
	padding-top: 4px;
	padding-bottom: 4px;
	font-weight: normal;
}

select {
	font-size: 10pt;
	padding-left: 2px;
	padding-right: 2px;
	padding-top: 4px;
	padding-bottom: 4px;
	font-weight: normal;
}

.topbar {
	width: 100%;
	background: #283573;
	padding: 4px;
}

.logoE2T {
	text-decoration: none;
	color: white;
	padding-left: 0px;
	padding-top: 0px;
	display: block;
}

.company {
	font-size: 21pt;
	text-decoration: none;
	color: #F1F1F1;
	display: block;
	position: fixed;
	top: 8px;
	right: 16px;
	z-index: 1000;
}

.tableUser {
	position: fixed;
	top: 46px;
	right: 8px;
	z-index: 1000;
}

.tableUser td {
	text-decoration: none;
	color: #C4C4C5;
	z-index: 1000;
	padding-left: 4px;
	padding-right: 4px;
}

.avatar {
	text-decoration: none;
	height: 28px;
	width: 28px;
	z-index: 1000;
}

.widescreen {
	text-decoration: none;
	color: white;
	z-index: 1000;
	cursor: pointer;
	font-size: large;
}

.support {
	text-decoration: none;
	color: white;
	z-index: 1000;
	cursor: pointer;
	font-size: large;
}

.logout {
	text-decoration: none;
	color: white;
	z-index: 1000;
	cursor: pointer;
	font-size: large;
}

.sidebar {
	top: 81px;
	left: 0px;
	position: fixed;
	width: 266px;
	height: 100%;
	background: #283573;
	color: #fff;
	padding-right: 1px;
	z-index: 1000;
	transition: all 0.33s;
	border-width: 2px;
	border-color: black;
}

.sidebar ul {
	list-style: none;
}

.sidebar ul li ul {
	background: #283573;
	color: white;
	display: none;
}

.sidebar ul li ul a {
	padding-left: 24px;
}

.sidebar li {
	border: 1px solid;
	transition: all 0.33s;
	text-align: left;
}

.sidebar a {
	display: block;
	color: white;
	background: #283573;
	padding: 8px;
	text-decoration: none;
}

.algopanel {
	display: block;
	color: #ECECEC;
	background: #283573;
	padding: 8px;
	padding-left: 20px;
	text-decoration: none;
}

.algopanel:hover {
	display: block;
	color: #283573;
	background: #ECECEC;
	text-decoration: none;
}

.sidebar ul li a:hover {
	display: block;
	color: #283573;
	background: #ECECEC;
	padding: 8px;
	text-decoration: none;
}

.sidebar ul li ul li a:hover {
	display: block;
	color: #283573;
	background: #ECECEC;
	padding: 8px;
	text-decoration: none;
	padding-left: 24px;
}

.contenido {
	position: absolute;
	right: 0px;
	left: 267px;
	top: 81px;
	bottom: 0px;
	background: white;
	padding: 8px;
	transition: all 0.33s;
}

.contenido table td.highlight {
	background-color: #F1F1F1;
}

.menu {
	color: #F1F1F1;
	font-weight: bold;
}

.menuOption {
	font-weight: normal;
	color: white;
}

.moveMenu2Left {
	transform: translateX(-267px);
}

.moveContent2Left {
	position: absolute;
	right: 0px;
	left: 0px;
	top: 81px;
	bottom: 0px;
}

.fxccadr {
	padding: 6px;
	display: block;
	position: fixed;
	top: 0px;
	left: 268px;
	background: #283573;
	z-index: 1000;
}

.fxcccedear {
	padding: 6px;
	display: block;
	position: fixed;
	top: 0px;
	left: 480px;
	background: #283573;
	z-index: 1000;
}

.ticket {
	color: #C4C4C5;
	text-align: right;
	background-color: transparent;
	font-size: x-large;
	font-weight: bold;
}

.bid {
	color: green;
	text-align: right;
	background-color: transparent;
	font-size: x-large;
	font-weight: bold;
}

.ask {
	color: red;
	text-align: right;
	background-color: transparent;
	font-size: x-large;
	font-weight: bold;
}

.last {
	color: #F1F1F1;
	text-align: right;
	background-color: transparent;
	font-size: x-large;
	font-weight: bold;
}

.datatr:hover {
	background: white;
}

.strValue {
	text-align: left;
}

.numValue {
	text-align: right;
}

.bidValue {
	color: green;
}

.askValue {
	color: red;
}

.contenido .invisible {
	background: transparent;
	color: transparent;
	padding: 8px;
	border: 1px outset transparent;
}

.contenido .firstCol {
	padding-left: 8px;
	text-align: left;
	background: #F1F1F1;
	width: 128px;
}

.contenido table tbody tr td .highlight {
	background-color: #F1F1F1;
}

.BOT {
	color: green;
}

.SLD {
	color: red;
}

.contenido .boughtAmount {
	background: transparent;
	color: green;
	text-align: right;
	width: 160px;
	border: 0px;
	font-size: 14pt;
	font-weight: bold;
}

.contenido .soldAmount {
	background: transparent;
	color: red;
	text-align: right;
	width: 160px;
	border: 0px;
	font-size: 14pt;
	font-weight: bold;
}

.contenido .netAmount {
	background: transparent;
	color: black;
	text-align: right;
	width: 160px;
	border: 0px;
	font-size: 14pt;
	font-weight: bold;
}

fieldset {
	width: fit-content;
	padding: 16px;
	margin: 16px;
}

.iconAction {
	text-decoration: none;
	cursor: pointer;
}

.blue {
	color: blue;
}

.red {
	color: red;
}

.graydot {
	height: 12px;
	width: 12px;
	background-color: gray;
	border-radius: 50%;
	float: left;
}

.yellowdot {
	height: 12px;
	width: 12px;
	background-color: #FFEA2F;
	border-radius: 50%;
	float: left;
}


.bluedot {
	height: 12px;
	width: 12px;
	background-color: #007fff;
	border-radius: 50%;
	float: left;
}

.itemselected {
	float: right;
}

.iconAction {
	text-decoration: none;
	cursor: pointer;
}

.toolbar {
	float: left;
}

th,
td {
	white-space: nowrap;
}

div.dataTables_wrapper {
	margin: 0 auto;
}

.BOT2 {
	color: green;
	font-weight: bold;
	font-size: 16px;
}

.SLD2 {
	color: red;
	font-weight: bold;
	font-size: 16px;
}

.dataTables_scrollHead {
	width: 100% !important;
}

.dataTables_scrollBody {
	width: 100% !important;
}

.dataTables_scrollHeadInner {
	width: 100% !important;
}

#dataTableOrders_wrapper .dataTables_scrollHeadInner table {
	table-layout: fixed;
}

th.fixedcolumnleft {
	background-color: white;
	z-index: 2;
}

td.fixedcolumnleft {
	background-color: whitesmoke;
	z-index: 2;
}

th.fixedcolumnright {
	background-color: white;
	text-align: right;
	z-index: 2;
}

td.fixedcolumnright {
	background-color: whitesmoke;
	text-align: right;
	z-index: 2;
}

thead input {
	width: 100%;
}

.spacer {
	background-color: white;
	border-top: none !important;
	border-bottom: none !important;
}

.contenido .dataTables_scrollBody tr:hover td {
	background: #A5A5A5 !important;
	color: white;
}

.selected td {
	background: #FFEB9C !important;
}

.contenido .dataTables_scrollHead tr th {
	vertical-align: bottom;
}

.ui-autocomplete-category {
	font-weight: bold !important;
	padding: .2em .4em !important;
	margin: .8em 0 .2em !important;
	line-height: 1.5 !important;
}

ul {
	z-index: 1001 !important;
}

.ZERO {
	color: black;
}

.clock {
	position: absolute;
	float: left;
	bottom: 100px;
	padding-left: 8px;
	z-index: 1;
}

.clockfont {
	color: #fff;
	font-size: 55px;
	font-family: "digital7";
	letter-spacing: 3px;
}

.clockfontPMAM {
	color: #C4C4C5;
	font-size: 55px;
	font-family: "digital7";
	letter-spacing: 3px;
}


.clocktable {
	table-layout: fixed;
	width: 300px;
	height: 50px;
	text-align: center;
}

.blink_me {
	color: #FFEA2F;
	font-weight: bold;
	animation: blinker 1s linear infinite;
}

@keyframes blinker {
	50% {
		opacity: 0;
	}
}

.widescreen:hover {
	color: #FFEA2F;
}

.logout:hover {
	color: #FFEA2F;
}

.support:hover {
	color: #FFEA2F;
}

@font-face {
	font-family: "digital7";
	src: url('../fonts/digital-7.ttf') format('truetype');
}

.normal-fixed {
	color: #000000;
	background-color: whitesmoke !important;
	z-index: 3;
}

.normal {
	color: #000000;
	background-color: white !important;
	z-index: 3;
}

.good {
	color: #006100;
	background-color: #C6EFCE;
	z-index: 3;
}

.bad {
	color: #9C0006;
	background-color: #FFC7CE;
	z-index: 3;
}

.neutral {
	color: #9C5700;
	background-color: #FFEB9C !important;
	z-index: 3;
}

.calculation {
	color: #FA7D00;
	background-color: #F2F2F2 !important;
	z-index: 3;
}

.verification {
	color: white;
	background-color: #A5A5A5 !important;
	z-index: 3;
}

.input {
	color: #3F3F76;
	background-color: #FFCC99 !important;
	z-index: 3;
}

.note {
	color: #000000;
	background-color: #FFFFCC !important;
	z-index: 3;
}

.output {
	color: #3F3F3F;
	background-color: #F2F2F2 !important;
	z-index: 3;
}

.buy-cell {
	color: green;
	background-color: white;
}

.sell-cell {
	color: red;
	background-color: white;
}

.bit {
	font-size: 10px;
}

.mid {
	font-size: 13px;
}

.big {
	font-size: 16px;
}

.bold-cell {
	font-weight: bold;
}

#btnStopAll {
	color: red;
}

#btnStopAll:hover {
	opacity: 85%;
}

#btnStopAll:active {
	color: orange;
}

.sign {
	position: absolute;
	right: 16px;
	bottom: 4px;
	color: #C4C4C5;
	z-index: 1;
}

.watermark {
	position: absolute;
	right: 16px;
	bottom: 8px;
	color: #C4C4C5;
	z-index: 1;
	font-size: 17px;
}

.context {
	position: absolute;
	bottom: 8px;
	left: 12px;
	color: #C4C4C5;
	z-index: 1;
	font-size: 17px;
}

.home {
	text-decoration: none;
	color: white;
	z-index: 1000;
	cursor: pointer;
	font-size: large;
}

.home:hover {
	color: #FFEA2F;
}

.stop {
	background-color: red !important;
	color: white !important;
}

.start {
	background-color: green !important;
	color: white !important;
}

.custom-cancel-button {
	background-color: red !important;
	color: white !important;
}

.ajs-message.ajs-custom {
	color: #31708f;
	background-color: #d9edf7;
	border-color: #31708f;
}

/* Estilos para las notificaciones de Alertify */
.alertify-notifier .ajs-message {
	width: 320px !important;
	/* Ancho fijo para las notificaciones */
	height: auto !important;
	/* Altura automtica para ajustar al contenido */
	padding: 8px !important;
	margin: 6px !important;
	display: flex;
	/* Usar display flex para alinear verticalmente */
	align-items: center;
	/* Alinear al centro verticalmente */
	justify-content: center;
	/* Alinear al centro horizontalmente */
}

.alertify-notifier.ajs-right .ajs-message.ajs-visible {
	right: 345px !important;
}

.login-body {
    margin: 0;
    font-family: Arial, sans-serif;
    background-color: #0c2556;
    color: white;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    height: 100vh;
}

.login-container {
    flex: 1;
    display: flex;
    flex-wrap: wrap;
}

.login-left {
    flex: 1;
    background-color: #0c2556;
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: relative;
    padding: 0;
    box-sizing: border-box;
}

.login-logo-container {
    display: flex;
    align-items: center;
    position: absolute;
    top: 80px;
    left: 80px;
}

.login-logo-container img {
    max-width: 180px;
    max-height: 60px;
}

.login-separator {
    width: 1px;
    height: 60px;
    background-color: white;
    margin: 0 20px;
}

.login-form {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin-left: 80px;
}

.login-form h1 {
    margin: 0;
    font-size: 24px;
}

.login-form p {
    margin: 20px 0;
    font-size: 16px;
}

.login-form button {
    background-color: #0078d4;
    color: white;
    border: none;
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: none;
}

.login-form button img {
    margin-right: 10px;
}

.login-form button:hover {
    background-color: #0078d4;
    box-shadow: none;
    border: none;
    transform: none;
}

.login-right {
    flex: 1;
    background-image: url('/images/login-background.png');
    background-size: cover;
    background-position: center;
}

.login-watermark {
    position: absolute;
    right: 80px;
    bottom: 80px;
    color: #C4C4C5;
    font-size: 14px;
}

.login-contact-link {
    position: absolute;
    left: 80px;
    bottom: 80px;
    color: white;
    font-size: 14px;
}

/* Media Queries para pantallas pequeas */
@media (max-width: 1650px) {
    .login-left {
        padding: 20px;
    }

    .login-logo-container {
        position: static;
        margin-bottom: 150px;
        text-align: center;
        justify-content: center;
    }

    .login-logo-container img {
        max-width: 120px;
        max-height: 40px;
    }

    .login-form {
        margin-left: 0;
        align-items: center;
        margin-bottom: 150px;
    }

    .login-watermark,
    .login-contact-link {
        position: static;
        text-align: center;
        margin-top: 20px;
    }

    .login-watermark {
        color: #C4C4C5;
    }

    .login-contact-link {
        color: white;
    }

    .login-right {
        background-position: center;
        background-size: cover;
    }
}

/* Media Queries para pantallas muy pequeas */
@media (max-width: 480px) {
    .login-form h1 {
        font-size: 20px;
    }

    .login-form p {
        font-size: 14px;
    }

    .login-form button {
        font-size: 14px;
        padding: 8px 16px;
    }

    .login-form button img {
        width: 20px;
        height: 20px;
    }

    .login-logo-container img {
        max-width: 100px;
        max-height: 30px;
    }
}

@media (max-height: 480px) {
    .login-left {
        padding: 20px;
    }

    .login-logo-container {
        position: static;
        margin-bottom: 150px;
        text-align: center;
        justify-content: center;
    }

    .login-logo-container img {
        max-width: 120px;
        max-height: 40px;
    }

    .login-form {
        margin-left: 0;
        align-items: center;
        margin-bottom: 150px;
    }

    .login-watermark,
    .login-contact-link {
        position: static;
        text-align: center;
        margin-top: 20px;
    }

    .login-watermark {
        color: #C4C4C5;
    }

    .login-contact-link {
        color: white;
    }

    .login-right {
        background-position: center;
        background-size: cover;
    }
}
.non-selectable {
    color: #888; /* Color gris para indicar que no est disponible */
}

#positionsSelect option[value=""] {
    display: none; /* Oculta la opcin no seleccionable */
}

#positionsSelect-button {
    width: 80px !important;
    height: 23px !important;
    display: inline-flex;
    flex-direction: row-reverse;
    align-items: center;
    justify-content: center;
	margin-right: 4px !important;
}
.PAUSE {
    color: orange;
}
.highlight-filter {
    background-color: #FFEA2F !important; /* amarillo claro */
}
#compraButton {
    margin-left: 16px !important;
}
#detenerTodoButton {
    margin-right: 16px !important;
}
.stopBlack {
	background-color: black !important;
	color: white !important;
}
